- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QRubberBand Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qrubberband.h.

`#include <qrubberband.h>`

Inheritance diagram for QRubberBand:
[legend]

List of all members.

## Public Types
enum | Shape { Line, Rectangle }
## Public Member Functions
| QRubberBand (Shape, QWidget *=0)
| ~QRubberBand ()
Shape | shape () const
void | setGeometry (const QRect &r)
void | setGeometry (int x, int y, int w, int h)
void | move (int x, int y)
void | move (const QPoint &p)
void | resize (int w, int h)
void | resize (const QSize &s)
## Protected Member Functions
bool | event (QEvent *e)
void | paintEvent (QPaintEvent *)
void | changeEvent (QEvent *)
void | showEvent (QShowEvent *)
void | resizeEvent (QResizeEvent *)
void | moveEvent (QMoveEvent *)
void | initStyleOption (QStyleOptionRubberBand *option) const

## Member Enumeration Documentation

enum Shape

Search for all occurrences

Enumerator:

  Line | Search for all occurrences
  Rectangle | Search for all occurrences

Definition at line 63 of file qrubberband.h.

    { Line, Rectangle };

## Constructor & Destructor Documentation

QRubberBand | ( | Shape | ,
|  | QWidget * | = `0`
| ) |  | `[explicit]`

~QRubberBand | ( |  | ) |

## Member Function Documentation

Shape shape | ( |  | ) | const

Search for all occurrences

void setGeometry | ( | const QRect & | r | ) |

Search for all occurrences

Reimplemented from QWidget.

void setGeometry | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  | `[inline]`

Search for all occurrences

Reimplemented from QWidget.

Definition at line 93 of file qrubberband.h.

    { setGeometry(QRect(ax, ay, aw, ah)); }

void move | ( | int | x,
|  | int | y
| ) |  | `[inline]`

Search for all occurrences

Reimplemented from QWidget.

Definition at line 95 of file qrubberband.h.

    { setGeometry(ax, ay, width(), height()); }

void move | ( | const QPoint & | p | ) | `[inline]`

Search for all occurrences

Reimplemented from QWidget.

Definition at line 73 of file qrubberband.h.

        { move(p.x(), p.y()); }

void resize | ( | int | w,
|  | int | h
| ) |  | `[inline]`

Search for all occurrences

Reimplemented from QWidget.

Definition at line 75 of file qrubberband.h.

        { setGeometry(geometry().x(), geometry().y(), w, h); }

void resize | ( | const QSize & | s | ) | `[inline]`

Search for all occurrences

Reimplemented from QWidget.

Definition at line 77 of file qrubberband.h.

        { resize(s.width(), s.height()); }

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void changeEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void showEvent | ( | QShowEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void resizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void moveEvent | ( | QMoveEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void initStyleOption | ( | QStyleOptionRubberBand * | option | ) | const `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qrubberband.h

QRubberBand QRubberBand QRubberBand QRubberBand QRubberBand QRubberBand QRubberBand QRubberBand QRubberBand QRubberBand
QRubberBand QRubberBand QRubberBand QRubberBand QRubberBand QRubberBand QRubberBand QRubberBand QRubberBand QRubberBand